#
# spec file for package sgi-fonts (Version 1.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           sgi-fonts
BuildRequires:  freetype2 xorg-x11 xorg-x11-devel
Summary:        Very nice bitmapped fonts from SGI
Version:        1.0
Release:        725.2
Group:          System/X11/Fonts
Autoreqprov:    on
PreReq:         %suseconfig_fonts_prereq
License:        X11/MIT
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prefix:         /usr/X11R6/lib/X11/fonts
Source:         %name.tar.bz2
Patch0:         %name-%version.patch
BuildArch:    noarch

%description
A few extra fonts from SGI, very readable.



%debug_package
%prep
%setup -q -n %name
%patch0 -p1

%build
xmkmf
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
pushd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc/sgi
    fc-cache -f .
    mkfontscale .
    chmod u+w fonts.dir
    mkfontdir -e /usr/X11R6/lib/X11/fonts/encodings
    touch .fonts-config-timestamp
popd
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc/sgi/fonts.cache-?

%post
%run_suseconfig_fonts

%postun
%run_suseconfig_fonts

%files
%defattr(644,root,root,755)
%dir /usr/X11R6/lib/X11/fonts/misc/sgi/
%verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/misc/sgi/.fonts-config-timestamp
%verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/misc/sgi/encodings.dir
%verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/misc/sgi/fonts.dir
%verify(not md5 size mtime) /usr/X11R6/lib/X11/fonts/misc/sgi/fonts.scale
/usr/X11R6/lib/X11/fonts/misc/sgi/fonts.alias
/usr/X11R6/lib/X11/fonts/misc/sgi/*.pcf.gz

%changelog -n sgi-fonts
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 - mmj@suse.de
- don't package font-cache stuff
* Thu Jan 19 2006 - mmj@suse.de
- fix filelist
* Fri Oct 14 2005 - ro@suse.de
- use fonts-cache-? in filelist
* Fri Dec 03 2004 - mfabian@suse.de
- use new macro "%%run_suseconfig_fonts".
* Fri Mar 19 2004 - mfabian@suse.de
- use %%suseconfig_fonts_prereq
* Fri Feb 27 2004 - mfabian@suse.de
- run SuSEconfig.fonts and SuSEconfig.pango in %%post and %%postun
* Wed Nov 05 2003 - ro@suse.de
- fix build after previous change
* Thu Oct 16 2003 - mmj@suse.de
- Don't build as root
* Thu Sep 18 2003 - kukuk@suse.de
- Create all font metadata
* Fri Aug 29 2003 - kukuk@suse.de
- Add %%verify for fonts.dir
* Sat Mar 08 2003 - mfabian@suse.de
- Bug #24908: bdf property FOUNDRY was the empty string in a few
  fonts -> fill it with "SGI" as it is in the other fonts already.
- sgi-fonts.tar.gz wasn't really gzipped, only tarred.
-> make it a correct .tar.bz2 file.
* Sun Mar 02 2003 - mmj@suse.de
- Make it use BuildRoot:
- Add freetype2 for build on s390
- Cleanup specfile
* Mon Apr 09 2001 - ro@suse.de
- don't use macro for version
* Thu Mar 22 2001 - jj@suse.de
- initial version
